Bug 1868260 - [Hyper-V][RHEL8] VM starts GUI failed on Hyper-V 2019/2016, hangs at "Started GNOME Display Manager" - GDM regression issue.
Summary: [Hyper-V][RHEL8] VM starts GUI failed on Hyper-V 2019/2016, hangs at "Started...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gdm
Version: 8.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Ray Strode [halfline]
QA Contact: xuli
URL:
Whiteboard:
Depends On:
Blocks: 1842946
TreeView+ depends on / blocked
 
Reported: 2020-08-12 07:20 UTC by xuli
Modified: 2020-11-04 01:37 UTC (History)
14 users (show)

Fixed In Version: gdm-3.28.3-33.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:59 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
journalctl -b log for comment 15 on Azure (335.57 KB, text/plain)
2020-08-27 08:40 UTC, Yuxin Sun
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:36:54 UTC

Description xuli 2020-08-12 07:20:08 UTC
[Hyper-V][RHEL8] VM starts GUI failed on Hyper-V 2019/2016, hangs at "Started GNOME Display Manager" - GDM regression issue.


Description:

VM starts GUI failed on Hyper-V 2019/2016, hangs at "Started GNOME Display Manager". The issue exists on both Gen1 and Gen2 vm. Based on test, regression issue is caused by GDM package gdm-3.28.3-30.el8, if install back the gdm-3.28.3-29.el8, GUI can login successfully.

Version-Release number of selected components (if applicable):

Guest: 
gnome-desktop3-3.32.2-1.el8.x86_64

systemd-239-33.el8.x86_64

Kernel 4.18.0-232.el8.x86_64

How reproducible:

100%

Steps to Reproduce:

1. Install VM with RHEL8.3 compose RHEL-8.3.0-20200811.0 on Hyper-V, and install GUI packages

2. Start VM.

Actual results:

GUI displays failed, hangs at "Started GNOME Display Manager."

Expected results:

Start GUI normally

Additional info:

When the issue occurs, network and ssh work well. If install back gdm-3.28.3-29.el8.x86_64.rpm, gui can display well.
rpm -ivh http://download.eng.bos.redhat.com/brewroot/vol/rhel-8/packages/gdm/3.28.3/29.el8/x86_64/gdm-3.28.3-29.el8.x86_64.rpm --force

journalctl logs:

Aug 11 15:47:53 vm-198-143.lab.eng.pek2.redhat.com gnome-shell[2606]: unable to open file '/etc/dconf/db/gdm': Failed to open file “/etc/dconf/db/gdm”: open() failed: No such file or directory; expect degraded >
Aug 11 15:47:53 vm-198-143.lab.eng.pek2.redhat.com gnome-shell[2606]: Failed to create backend: No GPUs found with udev
Aug 11 15:47:53 vm-198-143.lab.eng.pek2.redhat.com systemd[1]: NetworkManager-dispatcher.service: Succeeded.
Aug 11 15:47:53 vm-198-143.lab.eng.pek2.redhat.com gnome-session[2449]: gnome-session-binary[2449]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
Aug 11 15:47:53 vm-198-143.lab.eng.pek2.redhat.com gnome-session-binary[2449]: WARNING: App 'org.gnome.Shell.desktop' exited with code 1
Aug 11 15:47:53 vm-198-143.lab.eng.pek2.redhat.com gnome-session-binary[2449]: Unrecoverable failure in required component org.gnome.Shell.desktop

Comment 16 Yuxin Sun 2020-08-27 08:40:50 UTC
Created attachment 1712790 [details]
journalctl -b log for comment 15 on Azure

Comment 32 errata-xmlrpc 2020-11-04 01:35:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.